/* Autor:           Dipl.-Inf., Dipl.-Ing. (FH) Michael Wilhelm
   Firma:           HS Harz, FB AI
   Version:         1.1
   Ersterstellung:  23.03.2013
   Letzte Änderung: 23.03.2013
*/

import java.io.*;

// Einlesen ASCII-Datei

public class ReadASCII02 {


  private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause


  private static void read(String sFilename){
    FileReader fr;
    File file = new File(sFilename);
    char ch;
    byte b;
    try {
      fr = new FileReader( sFilename ); //file );
           // Der String, der am Ende ausgegeben wird
         String gelesen;
                   
         // char-Array als Puffer fuer das Lesen. Die
         // Laenge ergibt sich aus der Groesse der Datei
         char[] temp = new char[(int) file.length()];
                    
         // Lesevorgang
         fr.read(temp);
                    
         // Umwandlung des char-Arrays in einen String
         gelesen = new String(temp);    
         System.out.println("Ergebnis:\n"+gelesen);
   } catch (FileNotFoundException e1) {
         // die Datei existiert nicht
         System.err.println("Datei nicht gefunden: "
                            + file);
    }
    catch (IOException ee) {
           System.err.println("IOException: " + ee);
    }
  }

  public static void main(String argv[]) {
    read("ReadASCII02.java");
    pause();

  }  // main
}



